/**
 * This file is licensed under the Affero General Public License version 3 or
 * later. See the COPYING file.
 *
 * @author Thomas Citharel <tcit@tcit.fr>
 * @copyright 2017
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


/** global: OC */
$(document).ready(function() {
	function _deleteAccount() {
		if (OC.PasswordConfirmation.requiresPasswordConfirmation()) {
			OC.PasswordConfirmation.requirePasswordConfirmation(_.bind(this._deleteAccount(), this));
			return;
		}

		var deletingUser = $.ajax(OC.generateUrl('/apps/drop_account/delete'), {
			method: 'POST',
			data: {
				confirm: $('#drop_account_confirm').prop('checked'),
			}
		});

		$.when(deletingUser).done(function (resp) {
			OC.reload();

		});
		$.when(deletingUser).fail(function () {
			OC.Notification.showTemporary(t('drop_account', 'Error while deleting the account'));
		});
	};

	$('#drop_account_confirm').change(function () {
		if (this.checked) {
			$('#deleteaccount').removeAttr('disabled');
		} else {
			$('#deleteaccount').attr('disabled','disabled');
		}
	});

	$('#deleteaccount').on('click', _deleteAccount);
});
